Package org.python.core.util

# Class PlatformUtil

java.lang.Object
org.python.core.util.PlatformUtil

public class PlatformUtil extends Object
Methods for testing the platform/operating system that we are on.

## Constructor Summary

Constructors
Constructor
Description
`PlatformUtil()`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`isCaseInsensitive()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlatformUtil

public PlatformUtil()

## Method Details

### isCaseInsensitive

public static boolean isCaseInsensitive()

Returns:
  True if the operating system we are on is case insensitive, where case insensitive means that a file that is stored as FOO can be accessed as (for example) FoO.